Catalog - List Procedures
Retrieves the list of procedures from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/procedures?api-version=2016-11-01
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/procedures?$filter={$filter}&$top={$top}&$skip={$skip}&$select={$select}&$orderby={$orderby}&$count={$count}&api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the procedures. |
|
schema
|
path | True |
string |
The name of the schema containing the procedures. |
|
api-version
|
query | True |
string |
Client Api Version. |
|
$count
|
query |
boolean |
The Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional. |
|
|
$filter
|
query |
string |
OData filter. Optional. |
|
|
$orderby
|
query |
string |
OrderBy clause. One or more comma-separated expressions with an optional "asc" (the default) or "desc" depending on the order you'd like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional. |
|
|
$select
|
query |
string |
OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional. |
|
|
$skip
|
query |
integer (int32) minimum: 1 |
The number of items to skip over before returning elements. Optional. |
|
|
$top
|
query |
integer (int32) minimum: 1 |
The number of items to return. Optional. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of procedures in the specified database and schema. |
Examples
Retrieves the list of procedures from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo/procedures?$filter=test_filter&$top=1&$skip=1&$select=test_select&$orderby=test_orderby&$count=False&api-version=2016-11-01
Sample response
{
"nextLink": "https://contosoadla.datalakeanalytics.net/catalog/usql/databases/master/schema/dbo/statistics?api-version=2016-11-01&%24skiptoken=<token>",
"value": [
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo",
"procName": "test_proc_name",
"definition": "test_definition"
}
]
}
Definitions
| Name | Description |
|---|---|
|
USql |
A Data Lake Analytics catalog U-SQL procedure item. |
|
USql |
A Data Lake Analytics catalog U-SQL procedure item list. |
USqlProcedure
A Data Lake Analytics catalog U-SQL procedure item.
| Name | Type | Description |
|---|---|---|
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| definition |
string |
the defined query of the procedure. |
| procName |
string |
the name of the procedure. |
| schemaName |
string |
the name of the schema associated with this procedure and database. |
| version |
string (uuid) |
the version of the catalog item. |
USqlProcedureList
A Data Lake Analytics catalog U-SQL procedure item list.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
the link to the next page of results. |
| value |
the list of procedure in the database and schema combination |